package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.ActivityRecharge;

/**
 * @author DJH
 */
@Mapper
public interface ActivityRechargeMapper extends BaseMapper<ActivityRecharge> {

    List<ActivityRecharge> queryActivityRechargeList(ActivityRecharge activityRecharge);

    List<ActivityRecharge> queryActivityRechargePage(Map<String, Object> map);

    List<ActivityRecharge> queryActivityNoRechargePage(Map<String, Object> map);

    Integer queryActivityRechargePageCount(Map<String, Object> map);

    Integer queryActivityNoRechargePageCount(Map<String, Object> map);

    void saveActivityRechargeBatch(List<ActivityRecharge> activityRechargeList);

    List<ActivityRecharge> queryUsableActivityRechageList(ActivityRecharge activityRecharge);
}

